Index: code/trunk/data/levels/presentationHS09b.oxw
===================================================================
--- code/trunk/data/levels/presentationHS09b.oxw	(revision 7117)
+++ code/trunk/data/levels/presentationHS09b.oxw	(revision 7163)
@@ -2,4 +2,5 @@
   include("stats.oxo")
   include("hudtemplates3.oxo")
+  include("templates/lodinformation.oxt")
 ?>
 
@@ -19,4 +20,8 @@
  gametype     = TeamDeathmatch
 >
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
@@ -24,72 +29,65 @@
   >
 
-
-<AmbientSound ambientSource="Mars.ogg" looping="true" playOnLoad="true" />
+    <AmbientSound ambientSource="Mars.ogg" looping="true" playOnLoad="true" />
 
    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-<?lua
-   for i = 1, 50, 1
-   do
-   x = math.random() * 2000  + 4000
-   y = math.random() * 4000 - 2000
-   z = math.random() * 2000 - 1000
-   s = math.random() * 100
-   ?>
-
-    <MovableEntity collisiontype=dynamic mass=<?lua print(s*10)?> position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.01 angularDamping=0 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
-      <attached>
-        <Model position="0,0,0" scale=<?lua print(s) ?> mesh="asteroid_UV.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(s*0.9) ?>" />
-      </collisionShapes>
-    </MovableEntity>
-     <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
-<?lua
-end
-?>
-
-<?lua
-elements = {"BodyDebris1.mesh", "CockpitDebris.mesh", "LightningGun.mesh", "WingDebris1.mesh", "WingDebris2.mesh", "satellitedish.mesh", "Thruster.mesh"}
-sizes = {4, 4, 4, 4, 4, 10, 20}
-elements.length = function()
-    return table.getn(elements)
-end
-for i = 1, 100, 1
-do
-x = math.random() * 750 - 4500
-y = math.random() * 1000 + 2000
-z = math.random() * 500 + 1000
-e = math.floor(math.random()*elements.length()+1)
-?>
-
-    <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30- 15) ?>">
-      <attached>
-        <Model position="0,0,0" scale="<?lua print(sizes[e]) ?>" mesh="<?lua print( elements[e]) ?>" />
-      </attached>
-    </MovableEntity>
-<?lua
-end
-?>
-<?lua
-for i = 1,12, 1
-do
-?>
-    <SpaceShip position="<?lua print(math.random()*500 + 4500) ?>,<?lua print(-(math.random()*500 -250)) ?>,<?lua print(i*50 - 150) ?>" >
-      <templates>
-        <Template link=spaceshipHXYSL />
-      </templates>
-      <controller>
-        <WaypointPatrolController alertnessradius=4000 team=0 active=true>
-          <waypoints>
-            <StaticEntity position="5000,<?lua print(math.random()*50)?> ,<?lua print(i*50 -150) ?>" />
-          </waypoints>
-        </WaypointPatrolController>
-      </controller>
-    </SpaceShip>
-<?lua
-end
-?>
-<SpaceShip position="5000,100,100" >
+   
+    <?lua
+      for i = 1, 50, 1 do
+        x = math.random() * 2000  + 4000
+        y = math.random() * 4000 - 2000
+        z = math.random() * 2000 - 1000
+        s = math.random() * 100
+    ?>
+      <MovableEntity collisiontype=dynamic mass=<?lua print(s*10)?> position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.01 angularDamping=0 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
+        <attached>
+          <Model position="0,0,0" scale=<?lua print(s) ?> mesh="asteroid_UV.mesh" />
+        </attached>
+        <collisionShapes>
+          <SphereCollisionShape radius="<?lua print(s*0.9) ?>" />
+        </collisionShapes>
+      </MovableEntity>
+      <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
+    <?lua end ?>
+
+    <?lua
+      elements = {"BodyDebris1.mesh", "CockpitDebris.mesh", "LightningGun.mesh", "WingDebris1.mesh", "WingDebris2.mesh", "satellitedish.mesh", "Thruster.mesh"}
+      sizes = {4, 4, 4, 4, 4, 10, 20}
+      
+      elements.length = function()
+        return table.getn(elements)
+      end
+      
+      for i = 1, 100, 1 do
+        x = math.random() * 750 - 4500
+        y = math.random() * 1000 + 2000
+        z = math.random() * 500 + 1000
+        e = math.floor(math.random()*elements.length()+1)
+    ?>
+      <MovableEntity mass=90000 position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.8 angularDamping=0.8 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30- 15) ?>">
+        <attached>
+          <Model position="0,0,0" scale="<?lua print(sizes[e]) ?>" mesh="<?lua print( elements[e]) ?>" />
+        </attached>
+      </MovableEntity>
+    <?lua end ?>
+
+    <?lua
+      for i = 1,12, 1 do
+    ?>
+      <SpaceShip position="<?lua print(math.random()*500 + 4500) ?>,<?lua print(-(math.random()*500 -250)) ?>,<?lua print(i*50 - 150) ?>" >
+        <templates>
+          <Template link=spaceshipHXYSL />
+        </templates>
+        <controller>
+          <WaypointPatrolController alertnessradius=4000 team=0 active=true>
+            <waypoints>
+              <StaticEntity position="5000,<?lua print(math.random()*50)?> ,<?lua print(i*50 -150) ?>" />
+            </waypoints>
+          </WaypointPatrolController>
+        </controller>
+      </SpaceShip>
+    <?lua end ?>
+
+    <SpaceShip position="5000,100,100" >
       <templates>
         <Template link=spaceshipTransporterSL />
@@ -102,112 +100,113 @@
         </WaypointPatrolController>
       </controller>
-</SpaceShip>
+    </SpaceShip>
+
     <Destroyer
-        position          = "-5000,100 ,100"
-        collisionType     = dynamic
-        mass              = 100000
-        angularDamping    = 0.9999999
-        health            = 1000
-        maxhealth         = 1000
-        initialhealth     = 1000
+      position          = "-5000,100 ,100"
+      collisionType     = dynamic
+      mass              = 100000
+      angularDamping    = 0.9999999
+      health            = 1000
+      maxhealth         = 1000
+      initialhealth     = 1000
     >
-        <controller>
-          <WaypointPatrolController team=1 />
-        </controller>
+      <controller>
+        <WaypointPatrolController team=1 />
+      </controller>
+      <attached>
+        <Model mesh="Carrier.mesh" scale="5" />
+        <Backlight
+          mainstate=activity
+          active=false
+          scale=0.4
+          name=bltest
+          position=" 7.6, 0, 6"
+          colour="0.2, 0.65, 1.0, 1.0"
+          width=15
+          length=1500
+          lifetime=2
+          elements=50
+          trailmaterial="Trail/backlighttrail"
+          turnontime=1
+          turnofftime=1
+          material="Flares/ThrusterFlare1"
+        />
+        <?lua
+          for i=0,8,1 do
+        ?>
+          <BlinkingBillboard
+            position="<?lua print(200-270/8*i)?> ,15,2"
+            material="Examples/Flare"
+            colour="1.0, 0.5, 0.3"
+            phase=<?lua print(-360/8*i)?>
+            amplitude=0.1
+            frequency=0.5
+            quadratic=1
+          />
+
+          <BlinkingBillboard
+            position="<?lua print(200-270/8*i)?>,-15,2"
+            material="Examples/Flare"
+            colour="1.0, 0.5, 0.3"
+            phase=<?lua print(-360/8*i)?>
+            amplitude=0.1
+            frequency=0.5
+            quadratic=1
+          />
+        <?lua end ?>
+
+        <Backlight
+          scale=1
+          position=" 169, 75, -15"
+          colour="1, 0.85, 0.5, 0.5"
+          width=40
+          length=1000
+          lifetime=5
+          elements=15
+          trailmaterial="Trail/backlighttrail"
+          material="Examples/Flare"
+        />
+        <Backlight
+          scale=1
+          position=" 169, -75, -15"
+          colour="1, 0.85, 0.5, 0.5"
+          width=40
+          length=1000
+          lifetime=5
+          elements=15
+          trailmaterial="Trail/backlighttrail"
+          material="Examples/Flare"
+        />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
+        <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
+        <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
+        <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
+        <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
+        <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
+        <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
+      </collisionShapes>
+    </Destroyer>
+
+    <?lua
+      for i = 1, 50, 1 do
+        x = -(math.random() * 2000  + 4000)
+        y = math.random() * 4000 - 2000
+        z = math.random() * 2000 - 1000
+        s = math.random() * 100
+    ?>
+      <MovableEntity collisiontype=dynamic mass=<?lua print(s*10)?> position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.01 angularDamping=0 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
         <attached>
-            <Model mesh="Carrier.mesh" scale="5" />
-            <Backlight
-                mainstate=activity
-                active=false
-                scale=0.4
-                name=bltest
-                position=" 7.6, 0, 6"
-                colour="0.2, 0.65, 1.0, 1.0"
-                width=15
-                length=1500
-                lifetime=2
-                elements=50
-                trailmaterial="Trail/backlighttrail"
-                turnontime=1
-                turnofftime=1
-                material="Flares/ThrusterFlare1"
-            />
-            <?lua for i=0,8,1 do ?>
-                <BlinkingBillboard
-                    position="<?lua print(200-270/8*i)?> ,15,2"
-                    material="Examples/Flare"
-                    colour="1.0, 0.5, 0.3"
-                    phase=<?lua print(-360/8*i)?>
-                    amplitude=0.1
-                    frequency=0.5
-                    quadratic=1
-                />
-
-                <BlinkingBillboard
-                    position="<?lua print(200-270/8*i)?>,-15,2"
-                    material="Examples/Flare"
-                    colour="1.0, 0.5, 0.3"
-                    phase=<?lua print(-360/8*i)?>
-                    amplitude=0.1
-                    frequency=0.5
-                    quadratic=1
-                />
-            <?lua end ?>
-
-            <Backlight
-                scale=1
-                position=" 169, 75, -15"
-                colour="1, 0.85, 0.5, 0.5"
-                width=40
-                length=1000
-                lifetime=5
-                elements=15
-                trailmaterial="Trail/backlighttrail"
-                material="Examples/Flare"
-            />
-            <Backlight
-                scale=1
-                position=" 169, -75, -15"
-                colour="1, 0.85, 0.5, 0.5"
-                width=40
-                length=1000
-                lifetime=5
-                elements=15
-                trailmaterial="Trail/backlighttrail"
-                material="Examples/Flare" />
+          <Model position="0,0,0" scale=<?lua print(s) ?> mesh="asteroid_ice.mesh" />
         </attached>
         <collisionShapes>
-            <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
-            <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
-            <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
-            <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
-            <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
-            <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
-            <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
+          <SphereCollisionShape radius="<?lua print(s*0.9)?>" />
         </collisionShapes>
-    </Destroyer>
-
-   <?lua
-   for i = 1, 50, 1
-   do
-   x = -(math.random() * 2000  + 4000)
-   y = math.random() * 4000 - 2000
-   z = math.random() * 2000 - 1000
-   s = math.random() * 100
-   ?>
-
-    <MovableEntity collisiontype=dynamic mass=<?lua print(s*10)?> position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" linearDamping=0.01 angularDamping=0 rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 100 - 15) ?>">
-      <attached>
-        <Model position="0,0,0" scale=<?lua print(s) ?> mesh="asteroid_ice.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="<?lua print(s*0.9)?>" />
-      </collisionShapes>
-    </MovableEntity>
-    <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
-<?lua
-end
-?>
-<!--<EventDispatcher>
+      </MovableEntity>
+      <ParticleSpawner position="<?lua print(x) ?>,<?lua print(y) ?>,<?lua print(z) ?>" source="Orxonox/Steam" lifetime=3.0 loop=1 />
+    <?lua end ?>
+
+    <!-- EventDispatcher>
       <targets>
         <EventTarget target=attack />
@@ -219,7 +218,7 @@
         </activity>
       </events>
-</EventDispatcher>
-
-<EventDispatcher>
+    </EventDispatcher>
+
+    <EventDispatcher>
       <targets>
         <EventTarget target=wait />
@@ -230,31 +229,24 @@
         </activity>
       </events>
-</EventDispatcher>-->
-
-<?lua
-for i = 1,25, 1
-do
-?>
-<SpaceShip position="<?lua print(-(math.random()*500 + 4500)) ?>,<?lua print(-(math.random()*500 -250)) ?>,<?lua print(i*50 - 150) ?>" >
-      <templates>
-        <Template link=spaceshipghost />
-      </templates>
-      <controller>
-
+    </EventDispatcher -->
+
+    <?lua
+      for i = 1,25, 1 do
+    ?>
+      <SpaceShip position="<?lua print(-(math.random()*500 + 4500)) ?>,<?lua print(-(math.random()*500 -250)) ?>,<?lua print(i*50 - 150) ?>" >
+        <templates>
+          <Template link=spaceshipghost />
+        </templates>
+        <controller>
           <WaypointPatrolController name=attack alertnessradius=15000 team=1 active=false>
-          <events>
-           <activity>
-             <DistanceTrigger position="-5000, 100, 100" distance=2000 target="Camera" stayactive=true />
-           </activity>
-          </events>
+            <events>
+              <activity>
+                <DistanceTrigger position="-5000, 100, 100" distance=2000 target="Camera" stayactive=true />
+              </activity>
+            </events>
           </WaypointPatrolController>
-
-      </controller>
-    </SpaceShip>
-<?lua
-end
-?>
-
-
+        </controller>
+      </SpaceShip>
+    <?lua end ?>
 
     <AmbientSound ambientSource="Earth.ogg" looping="true" playOnLoad="false">
@@ -266,5 +258,6 @@
     </AmbientSound>
 
-    <SpawnPoint position="5000,0,2000" spawnclass=SpaceShip pawndesign=spaceshipassff  team=0/>
+    <SpawnPoint position="5000,0,2000" spawnclass=SpaceShip pawndesign=spaceshipassff  team=0 />
+    
   </Scene>
 </Level>
Index: code/trunk/data/levels/presentation_FS10.oxw
===================================================================
--- code/trunk/data/levels/presentation_FS10.oxw	(revision 7163)
+++ code/trunk/data/levels/presentation_FS10.oxw	(revision 7163)
@@ -0,0 +1,101 @@
+<?lua
+  include("hudtemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_H2.oxt")
+  include("templates/fps.oxt")
+  include("templates/lodinformation.oxt")
+?>
+
+<Level
+ name         = "fps"
+ description  = "tests"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
+  <Scene
+   ambientlight = "0.1, 0.1, 0.1"
+   skybox       = "Orxonox/skypanoramagen1"
+   gravity      = "0,-1000,0"
+   negativeWorldRange = "(-100000, -100000, -100000)"
+   positiveWorldRange = "( 100000,  100000,  100000)"
+   hasPhysics   = true
+  >
+    <Light type=directional position="0,-100000,0" direction="0.02, -1, 0.05" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+  <Pawn health=100 position="600,35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="fish.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+  
+  <Pawn health=100 position="0,-35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+  
+  <StaticEntity position="0,-50,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+   <StaticEntity position="210,-30,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_orange.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+  
+   <StaticEntity position="600,-20,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+<StaticEntity position="600,10,120" direction="0,-1,1" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+  
+  <StaticEntity position="600,40,250" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+  
+<?lua
+for i = 1, 10, 1
+do ?>
+    <SpawnPoint position="0,300,0" direction="0, 0, 0" lookat="0,0,100000000" spawnclass=FpsPlayer pawndesign=fps />
+<?lua
+end
+?>
+
+
+  </Scene>
+</Level>
Index: code/trunk/data/levels/presentation_FS10_ed.oxw
===================================================================
--- code/trunk/data/levels/presentation_FS10_ed.oxw	(revision 7163)
+++ code/trunk/data/levels/presentation_FS10_ed.oxw	(revision 7163)
@@ -0,0 +1,175 @@
+<?lua
+  include("hudtemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_H2.oxt")
+  include("templates/fps.oxt")
+  include("templates/lodinformation.oxt")
+?>
+
+<Level
+ name         = "fps"
+ description  = "tests"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
+  <Scene
+   ambientlight = "0.1, 0.1, 0.1"
+   skybox       = "Orxonox/skypanoramagen1"
+   gravity      = "0,-1000,0"
+   negativeWorldRange = "(-100000, -100000, -100000)"
+   positiveWorldRange = "( 100000,  100000,  100000)"
+   hasPhysics   = true
+  >
+    <Light type=directional position="0,-100000,0" direction="0.02, -1, 0.05" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+  <Pawn health=100 position="600,35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+  <Pawn health=100 position="0,-35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+  <StaticEntity position="0,-50,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+   <StaticEntity position="210,-30,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_orange.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+   <StaticEntity position="600,-20,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+<StaticEntity position="600,10,120" direction="0,-1,1" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+  <StaticEntity position="600,40,250" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+ 
+   <StaticEntity position="6000,0,10250" direction="0,0,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="10000,10,10000" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="10000,10,10000" />
+      </collisionShapes>
+  </StaticEntity>
+  
+  <Pawn health=100 position="530,70,1450" direction="-1,0,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+  <Pawn health=100 position="670,70,1450" direction="-1,0,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+   <Pawn health=100 position="600,70,1500" direction="0,0,-1" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+   <Pawn health=100 position="600,150,1450" direction="0,-1,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="90,80,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="90,80,10" />
+      </collisionShapes>
+  </Pawn>
+  
+  <Pawn health=100 position="600,35,1450" direction="0,-1,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+
+  <SpawnPoint position="0,300,0" direction="0, 0, 0" lookat="0,0,100000000" spawnclass=FpsPlayer pawndesign=fps />
+
+
+<?lua
+for i = 1, 100, 1
+do
+j = math.random()
+g = math.random()
+h = math.random()
+?>
+  <Pawn position="<?lua print( (math.random()+10) * 1000 - 9800) ?>,<?lua print(math.random()) ?>,<?lua print( (math.random()+10) * 2000 - 19500) ?>" direction="<?lua print( (math.random()+10) * 10 - 100) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 100)?> >
+      <attached>
+        <Model position="0,0,0" scale3D="<?lua print(j*100) ?>,<?lua print(g*100) ?>,<?lua print(h*100) ?>" mesh="cube<?lua
+	if math.mod(i,4)==0 then print('_green') end
+	if math.mod(i,4)==1 then print('_red') end
+	if math.mod(i,4)==2 then print('_orange') end
+	?>.mesh" /> <!--if it's 3, cube.mesh is taken -> yellow -->
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="<?lua print(j*100) ?>,<?lua print(g*100) ?>,<?lua print(h*100) ?>" />
+      </collisionShapes>
+  </Pawn>
+<?lua
+end
+?>
+
+
+  </Scene>
+</Level>
